# Debian UKI

The purpose is automatize building and signing of a Unified Kernel Image on Debian and derivatives after kernel or
initramfs update.

### Important
The auto-update of this script should be disabled! Make sure to create `.disabled` file.

### Dependencies
Make sure that:
* `binutils` and `systemd-boot` packages are installed
* you [install](https://wiki.archlinux.org/title/Unified_kernel_image#Directly_from_UEFI) the UKI to your EFI
configuration

### Files
* `build-uki.sh` is the main script, which builds and signs the UKI.
* `99build-uki` is an APT hook to invoke the main script.
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
#### Installation
* `install.sh` script copies APT hook to its destination, so the script is invoked after updates.

### TODO
* find a way to invoke script **only** on kernel or initramfs update
